<?php
/**
 * Videocast Dynamic Styles
 *
 * @package Videocast
 */

function videocast_dynamic_css()
{

    $videocast_default = videocast_get_default_theme_options();
    $background_color = get_theme_mod('background_color');

    $background_color = '#'.str_replace("#","",$background_color);

    $logo_width_range = get_theme_mod('logo_width_range', $videocast_default['logo_width_range']);
    $header_image_opacity = get_theme_mod('header_image_opacity', $videocast_default['header_image_opacity']);

    echo "<style type='text/css' media='all'>"; ?>

    .site-logo .custom-logo-link{
    max-width:  <?php echo esc_attr($logo_width_range); ?>px;
    }
    <?php echo "</style>";
}

add_action('wp_head', 'videocast_dynamic_css', 100);

/**
 * Sanitizing Hex color function.
 */
function videocast_sanitize_hex_color($color)
{

    if ('' === $color)
        return '';
    if (preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color))
        return $color;

}