<?php
$wp_customize->add_setting( 'header_banner_title',
    array(
    'default'           => $videocast_default['header_banner_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'header_banner_title',
    array(
    'label'       => esc_html__( 'Vertical Header Title', 'videocast' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);


$wp_customize->add_setting( 'header_banner_description',
    array(
    'default'           => $videocast_default['header_banner_description'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'header_banner_description',
    array(
    'label'       => esc_html__( 'Vertical Header Description', 'videocast' ),
    'section'     => 'header_image',
    'type'        => 'textarea',
    )
);

$wp_customize->add_setting('header_banner_signature_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'header_banner_signature_image',
        array(
            'label'      => esc_html__( 'Vertical Header Signature Image', 'videocast' ),
            'section'    => 'header_image',
        )
    )
);


$wp_customize->add_setting('header_image_opacity',
    array(
        'default'           => $videocast_default['header_image_opacity'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'videocast_sanitize_number_range',
    )
);
$wp_customize->add_control('header_image_opacity',
    array(
        'label'       => esc_html__('Header Image Opacity', 'videocast'),
        'section'     => 'header_image',
        'type'        => 'range',
        'input_attrs' => array(
                       'min'   => 0,
                       'max'   => 9,
                       'step'   => 1,
                    ),
    )
);