<?php
/**
 * Default Values.
 *
 * @package Videocast
 */

if ( ! function_exists( 'videocast_get_default_theme_options' ) ) :

    /**
     * Get default theme options
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function videocast_get_default_theme_options() {

        $videocast_defaults = array();
        // Options.
        $videocast_defaults['logo_width_range']      = 260;
        $videocast_defaults['videocast_pagination_layout']      = 'numeric';
        $videocast_defaults['footer_copyright_text']                      = esc_html__( 'All rights reserved.', 'videocast' );
        $videocast_defaults['ed_header_search']                           = 1;
        $videocast_defaults['ed_image_content_inverse']                   = 0;
        $videocast_defaults['twp_navigation_type']                        = 'ajax-next-post-load';
        $videocast_defaults['ed_post_author']                             = 1;
        $videocast_defaults['ed_post_date']                               = 1;
        $videocast_defaults['ed_post_category']                           = 1;
        $videocast_defaults['ed_post_tags']                               = 1;
        $videocast_defaults['ed_footer_copyright']                        = 1;

        $videocast_defaults['header_banner_title']                 = esc_html__('Hello World','videocast');
        $videocast_defaults['header_banner_description']           = esc_html__('Welcome to WordPress. This is your first post. Edit or delete it, then start writing!','videocast');
        $videocast_defaults['header_image_opacity']                = 3;

        $videocast_defaults['ed_desktop_menu']            = 1;
        $videocast_defaults['ed_post_excerpt']            = 1;
        
        // Pass through filter.
        $videocast_defaults = apply_filters( 'videocast_filter_default_theme_options', $videocast_defaults );

        return $videocast_defaults;

    }

endif;
