<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Videocast
 * @since 1.0.0
 */
get_header(); ?>
<div class="theme-block theme-main-block">
    <?php if ( !is_paged() ) { ?>
        <?php if (is_front_page() || is_home() ) {
            videocast_slider_banner_block();
        } ?>
    <?php } ?>
        <div class="wrapper-inner wrapper-inner-small">

            <?php if (have_posts()):
                while (have_posts()) : the_post();
                    $twp_be_post_views_count = absint( get_post_meta( get_the_ID(), 'twp_be_post_views_count', true ) );
                    $twp_be_like_count = absint( get_post_meta( get_the_ID(), 'twp_be_like_count', true ) );
                    ?>

                    <figure class="column column-3 column-lg-4 column-md-4 column-xxs-12 article-panel-smal twp-archive-items-main article-panel-blocks"
                        data-like="<?php echo esc_attr( $twp_be_like_count ); ?>"
                        data-views="<?php echo esc_attr( $twp_be_post_views_count ); ?>">

                        <?php if ( class_exists( 'Booster_Extension_Class' ) ) { ?>
                        <div style="display: none;" class="twp-post-views"><?php echo $twp_be_post_views_count; ?></div>
                        <div style="display: none;" class="twp-post-like"><?php echo $twp_be_like_count; ?></div>
                        <?php } ?>
                            <?php get_template_part('template-parts/content', get_post_type()); ?>
                    </figure>
                <?php  endwhile;

            else :
                get_template_part('template-parts/content', 'none');
            endif; ?>

        </div>

    <?php do_action('videocast_archive_pagination'); ?>
</div>
<?php get_footer();